Bug 56329 - Spurious row of data in Newer Versions tab
Summary: Spurious row of data in Newer Versions tab
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: RHN Stable
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Chip Turner
QA Contact: Jay Turner
URL: https://rhn.redhat.com/network/packag...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-15 18:00 UTC by Nic Doye
Modified: 2015-01-07 23:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-05 21:16:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nic Doye 2001-11-15 18:00:13 UTC
Description of Problem:

If no errata applies to a package, clicking on the "Newer Versions" tab 
still prints a row of data (with no entry in the last unnamed column).

If it's the latest version of a package which has had errata (eg. the 
kernel) you get told the errata that applied to the previous version, 
which is counter-intuitive.

Also the first row always contains a spurious ">" (greater-than) 
character in the first column, which is invalid HTML.

Version-Release number of selected component (if applicable):


How Reproducible:
Every time


Steps to Reproduce:
1. Choose any package
2. Go to Newer Versions
3. Try and work out what's going on

Actual Results:
case no previous version:
  line with current version and nothing informing you of this
case with previous version
  line with current version and the advisory for the previous version
both cases
  extra ">" in first column

Expected Results:
case no previous version:
  line saying this is current version
case with previous version
  line saying this is current version. line with previous version and     
  advisory


Additional Information:
Purely cosmetic - no rush.

Comment 1 Chip Turner 2001-11-26 16:56:35 UTC
I've fixed the > to use > properly.  Page needs further cosmetic work,
though.

Comment 2 Chip Turner 2001-11-28 19:51:11 UTC
further improvements will be through other UI changes as well; closing this
particular bug and incorporating into larger

Comment 3 Jay Turner 2001-12-05 21:16:04 UTC
Yeah, this goes away with the new interface.


Note You need to log in before you can comment on or make changes to this bug.